# Column Headers and Order

## Column Headers

* Only use alphanumeric or these 3 special characters: period (.), dash (-), and underscore (\_)
  * Ampersand (&) should be replaced by “and” if needed
* Each header must be unique
  * e.g. can’t have two headers called "duration"
* Units of measure should be omitted
  * Units can and must be provided with the data dictionary
* Keep short (less than 30 characters)
  * A full description can and must be provided with the data dictionary

## Column Order <a href="#column-order" id="column-order"></a>

* *Unique identifiers* should be in the left-most column if applicable
* *Date and time variables* should be in the first column for time series data
* *Fixed or classified variables* should be ordered with the highest-level variable on the left and most granular variable on the right, for example
* *Observed variables* should always be on the rightmost columns, these are measured variables often numeric, the following are some example field names that could be observed variables:
  * Duration
  * Number of Units
  * Number of Stories
  * Year Built
  * People Served


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.data.ca.gov/california-open-data-publishers-handbook/reference/data-preparation-guidance/column-headers-and-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
